{"openapi":"3.1.0","info":{"title":"SonarQube Web API v2","description":"The SonarQube API v2 is a REST API which enables you to interact with SonarQube programmatically.\nWhile not all endpoints of the former Web API are available yet, the ones available are stable and can be used in production environments.\n","version":"2026.4.0.123760"},"servers":[{"url":"http://next.sonarqube.com/sonarqube/api/v2","description":"Generated server url"}],"paths":{"/sca/issues-releases/update-assignee":{"post":{"tags":["Issues-Releases"],"summary":"Update the assignee of an (issue,release) pair","description":"Update the assignee of an (issue,release) pair (dependency risk).\n\nThis is an internal API and is subject to change without notice.\n","operationId":"updateAssignee","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAssigneeRestRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssueReleaseDetailsResource"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"},"patch":{"tags":["Issues-Releases"],"summary":"Update the assignee of an (issue,release) pair","description":"Update the assignee of an (issue,release) pair (dependency risk).\n\nThis is an internal API and is subject to change without notice.\n","operationId":"updateAssignee_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UpdateAssigneeRestRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssueReleaseDetailsResource"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"}},"/sca/issues-releases/change-status":{"post":{"tags":["Issues-Releases"],"summary":"Transition an issue-release pair to a new status","description":"Transition a single (issue,release) pair (dependency risk) to a new status with a comment about why the status is changing.\n\nThis is an internal API and is subject to change without notice.\n","operationId":"transitionIssueRelease","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssueReleaseStatusTransitionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssueReleaseDetailsResource"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"},"patch":{"tags":["Issues-Releases"],"summary":"Transition an issue-release pair to a new status","description":"Transition a single (issue,release) pair (dependency risk) to a new status with a comment about why the status is changing.\n\nThis is an internal API and is subject to change without notice.\n","operationId":"transitionIssueRelease_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssueReleaseStatusTransitionRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssueReleaseDetailsResource"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"}},"/dop-translation/bound-projects":{"put":{"tags":["Dop Translation"],"summary":"Create or update a bound SonarQube project","description":"Create a SonarQube project bound to a DevOps platform repository, or update the binding if the project already exists.\nThis is an idempotent operation. If the project already exists with the same key, its binding will be updated.\nAutoconfigure Pull-Request decoration mechanism.\nRequires the 'Create Projects' permission and setting a Personal Access Token with api/alm_integrations/set_pat for a user who will be using this endpoint\n","operationId":"createOrUpdateBoundProject","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BoundProjectCreateRestRequest"}}},"required":true},"responses":{"200":{"description":"Project successfully created or binding updated","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BoundProjectCreateRestResponse"}}}},"400":{"description":"Bad request - personal access token for the DevOps platform setting is missing"},"401":{"description":"Authentication required"},"403":{"description":"Insufficient permissions - requires 'Create Projects' permission"},"500":{"description":"Internal server error - failed to fetch repository from DevOps platform (e.g., repository not found, invalid PAT, or insufficient permissions)"}}},"post":{"tags":["Dop Translation"],"summary":"Create a SonarQube project with the information from the provided DevOps platform project.","description":"Create a SonarQube project with the information from the provided DevOps platform project.\nAutoconfigure Pull-Request decoration mechanism.\nRequires the 'Create Projects' permission and setting a Personal Access Token with api/alm_integrations/set_pat for a user who will be using this endpoint\n","operationId":"createBoundProject","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BoundProjectCreateRestRequest"}}},"required":true},"responses":{"201":{"description":"Project successfully created and bound to DevOps platform","content":{"application/json":{"schema":{"$ref":"#/components/schemas/BoundProjectCreateRestResponse"}}}},"400":{"description":"Bad request - personal access token for the DevOps platform setting is missing"},"401":{"description":"Authentication required"},"403":{"description":"Insufficient permissions - requires 'Create Projects' permission"},"500":{"description":"Internal server error - failed to fetch repository from DevOps platform (e.g., repository not found, invalid PAT, or insufficient permissions)"}}}},"/users-management/users":{"get":{"tags":["Users Management"],"summary":"Users search","description":"  Get a list of users. By default, only active users are returned.\n  The following fields are only returned when user has Administer System permission or for logged-in in user :\n    'email',\n    'externalIdentity',\n    'externalProvider',\n    'groups',\n    'lastConnectionDate',\n    'sonarLintLastConnectionDate',\n    'tokensCount'.\n  Field 'sonarqubeLastConnectionDate' is only updated every hour, so it may not be accurate, for instance when a user authenticates many times in less than one hour.\n  The results are sorted alphabetically by login.\n","operationId":"search","parameters":[{"name":"active","in":"query","description":"Return active/inactive users","required":false,"schema":{"type":"boolean","default":true,"description":"Return active/inactive users"}},{"name":"managed","in":"query","description":"Return managed or non-managed users. Only available for managed instances, throws for non-managed instances","required":false,"schema":{"type":"boolean","description":"Return managed or non-managed users. Only available for managed instances, throws for non-managed instances"}},{"name":"q","in":"query","description":"Filter on login, name and email.\nThis parameter performs a partial match (contains), it is case insensitive.","required":false,"schema":{"type":"string","description":"Filter on login, name and email.\nThis parameter performs a partial match (contains), it is case insensitive."}},{"name":"externalIdentity","in":"query","description":"Filter on externalIdentity.\nThis parameter perform a case-sensitive exact match","required":false,"schema":{"type":"string","description":"Filter on externalIdentity.\nThis parameter perform a case-sensitive exact match"}},{"name":"sonarQubeLastConnectionDateFrom","in":"query","description":"Filter users based on the last connection date field. Only users who interacted with this instance at or after the date will be returned. The format must be ISO 8601 datetime format (YYYY-MM-DDThh:mm:ss±hhmm)","required":false,"schema":{"type":"string","description":"Filter users based on the last connection date field. Only users who interacted with this instance at or after the date will be returned. The format must be ISO 8601 datetime format (YYYY-MM-DDThh:mm:ss±hhmm)","example":"2020-01-01T00:00:00+0100"},"example":"2020-01-01T00:00:00+0100"},{"name":"sonarQubeLastConnectionDateTo","in":"query","description":"Filter users based on the last connection date field. Only users that never connected or who interacted with this instance at or before the date will be returned. The format must be ISO 8601 datetime format (YYYY-MM-DDThh:mm:ss±hhmm)","required":false,"schema":{"type":"string","description":"Filter users based on the last connection date field. Only users that never connected or who interacted with this instance at or before the date will be returned. The format must be ISO 8601 datetime format (YYYY-MM-DDThh:mm:ss±hhmm)","example":"2020-01-01T00:00:00+0100"},"example":"2020-01-01T00:00:00+0100"},{"name":"sonarLintLastConnectionDateFrom","in":"query","description":"Filter users based on the SonarLint last connection date field Only users who interacted with this instance using SonarLint at or after the date will be returned. The format must be ISO 8601 datetime format (YYYY-MM-DDThh:mm:ss±hhmm)","required":false,"schema":{"type":"string","description":"Filter users based on the SonarLint last connection date field Only users who interacted with this instance using SonarLint at or after the date will be returned. The format must be ISO 8601 datetime format (YYYY-MM-DDThh:mm:ss±hhmm)","example":"2020-01-01T00:00:00+0100"},"example":"2020-01-01T00:00:00+0100"},{"name":"sonarLintLastConnectionDateTo","in":"query","description":"Filter users based on the SonarLint last connection date field. Only users that never connected or who interacted with this instance using SonarLint at or before the date will be returned. The format must be ISO 8601 datetime format (YYYY-MM-DDThh:mm:ss±hhmm)","required":false,"schema":{"type":"string","description":"Filter users based on the SonarLint last connection date field. Only users that never connected or who interacted with this instance using SonarLint at or before the date will be returned. The format must be ISO 8601 datetime format (YYYY-MM-DDThh:mm:ss±hhmm)","example":"2020-01-01T00:00:00+0100"},"example":"2020-01-01T00:00:00+0100"},{"name":"groupId","in":"query","description":"Filter users belonging to group. Only available for system administrators. Using != operator will exclude users from this group.","required":false,"schema":{"type":"string","description":"Filter users belonging to group. Only available for system administrators. Using != operator will exclude users from this group.","internal":"true"},"x-internal":"true"},{"name":"pageSize","in":"query","description":"Number of results per page. A value of 0 will only return the pagination information.","required":false,"schema":{"type":"integer","format":"int32","default":50,"description":"Number of results per page. A value of 0 will only return the pagination information.","maximum":500,"minimum":0}},{"name":"pageIndex","in":"query","description":"1-based page index","required":false,"schema":{"type":"integer","format":"int32","default":1,"description":"1-based page index","exclusiveMinimum":0,"minimum":1}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UsersSearchRestResponse"}}}}}},"post":{"tags":["Users Management"],"summary":"User creation","description":"  Create a user.\n  If a deactivated user account exists with the given login, it will be reactivated.\n  Requires Administer System permission.\n","operationId":"create","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserCreateRestRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserRestResponseForAdmins"}}}}}}},"/system/email-configurations":{"get":{"tags":["System"],"summary":"Search email configurations","description":"  Get the list of email configurations.\n  Note that a single configuration is supported at this time.\n  Requires 'Administer System' permission.\n","operationId":"searchEmailConfigurations","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailConfigurationSearchRestResponse"}}}}},"x-sonar-internal":"true"},"post":{"tags":["System"],"summary":"Create an email configuration","description":"  Create a new email configuration.\n  Note that only a single configuration can exist at a time.\n  Requires 'Administer System' permission.\n","operationId":"createEmailConfiguration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailConfigurationCreateRestRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailConfigurationResource"}}}}},"x-sonar-internal":"true"}},"/sca/release-research/releases":{"post":{"tags":["Releases"],"summary":"Research release information for versioned package URLs","description":"Returns release-oriented information for versioned package URLs (PURLs),\nshaped similarly to the single-release API but without branch and dependency-chain data.\n","operationId":"research","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseResearchRestRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseResearchRestResponse"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"}},"/sca/reanalysis":{"post":{"tags":["Reanalysis"],"summary":"Trigger immediate re-analysis of a project or branch","description":"Immediately enqueues branches for re-analysis without affecting the scheduled re-analysis job.\n\nIf branchKey is not specified, all branches matching the organization's rescan branch type\nsetting are queued. Requires issue admin permission on the target branch.\n","operationId":"triggerReanalysis","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/TriggerReanalysisRestRequest"}}},"required":true},"responses":{"202":{"description":"Reanalysis queued successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TriggerReanalysisResource"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-public":"true"}},"/sca/package-info":{"post":{"tags":["Package Info"],"summary":"Analyze multiple packages","description":"Returns information about multiple packages identified by package URLs (PURLs),\nincluding their licenses, known vulnerabilities, and malware status.\n","operationId":"analyze","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PackageInfoRestRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"oneOf":[{"$ref":"#/components/schemas/PackageInfoEntryResponse"},{"$ref":"#/components/schemas/PackageInfoRestResponse"}]}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"}},"/sca/license-profiles":{"get":{"tags":["License Profiles"],"summary":"List license profiles","description":"  List the license profiles that have been configured for use when evaluating license issues.\n","operationId":"index","parameters":[{"name":"projectKey","in":"query","description":"If provided, filter to the license profile that is used to analyze the project (if one exists).\n","required":false,"schema":{"type":"string","description":"If provided, filter to the license profile that is used to analyze the project (if one exists).\n"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LicenseProfileIndexRestResponse"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"},"post":{"tags":["License Profiles"],"summary":"Create new license profile","description":"  Create a new license profile for projects to use when evaluating license issues.\n","operationId":"create_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LicenseProfilesCreateRestRequest"}}},"required":true},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LicenseProfileResource"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"}},"/sca/issues-releases/set-severity":{"post":{"tags":["Issues-Releases"],"summary":"Manually change the severity of an issue-release pair","description":"Change the severity of a (issue,release) pair (dependency risk).\n\nThis is an internal API and is subject to change without notice.\n","operationId":"setSeverity","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssueReleaseSetSeverityRestRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssueReleaseDetailsResource"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"}},"/sca/issues-releases/comments":{"post":{"tags":["Issues-Releases"],"summary":"Add a comment to an issue-release pair","description":"Add a comment to a (issue,release) pair (dependency risk).\n\nThis is an internal API and is subject to change without notice.\n","operationId":"addComment","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssueReleaseAddCommentRestRequest"}}},"required":true},"responses":{"201":{"description":"Created"}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"}},"/sca/analyses/parse":{"post":{"tags":["Analyses"],"summary":"Parse dependency files","description":"Parses an uploaded .tar.xz archive of dependency manifests and lockfiles and\nreturns the discovered package URLs together with the dependency file paths\nand dependency chains they were parsed from. This endpoint performs parsing\nonly — it does not persist anything and does not include vulnerability,\nlicense, malware, or other enrichment in its response.\n\nThe same contract is exposed in SonarQube Cloud and SonarQube Server;\nServer satisfies it by forwarding to Cloud, which is transparent to callers.\n\nAccess is gated the same way as the analyze endpoints: the caller must have\naccess to the named project, and the project's billing entity must have SCA\nenabled.\n","operationId":"parse","parameters":[{"name":"projectKey","in":"query","description":"Project key used to gate access and resolve SCA enablement.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"multipart/form-data":{"schema":{"$ref":"#/components/schemas/AnalysesParseMultipartBody"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReadDependencyFilesResult"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"}},"/marketplace/azure/billing":{"post":{"tags":["Marketplace Azure"],"summary":"Bills user's Azure account with the cost of SonarQube Server license","description":"Used by admin to bill user's Azure account with the cost of SonarQube Server license.","operationId":"billAzureAccount","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AzureBillingRestResponse"}}}}}}},"/jira/work-items":{"get":{"tags":["Jira"],"summary":"Fetch Jira work items","description":"Fetch the Jira work items for a specific Sonar project and resource.\nAccepts only authenticated requests.\n","operationId":"裫","parameters":[{"name":"sonarProjectId","in":"query","required":true,"schema":{"type":"string"}},{"name":"resourceId","in":"query","required":true,"schema":{"type":"string"}},{"name":"resourceType","in":"query","required":true,"schema":{"type":"string","enum":["SONAR_ISSUE","DEPENDENCY_RISK"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JiraWorkItemResource"}}}}},"x-sonar-internal":"true"},"post":{"tags":["Jira"],"summary":"Create Jira work item","description":"Create a Jira work item for a specific resource.\nAccepts only authenticated requests with issue administration permission.\n","operationId":"裫_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostJiraWorkItemRequestResource"}}},"required":true},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JiraWorkItemResource"}}}}},"x-sonar-internal":"true"},"delete":{"tags":["Jira"],"summary":"Delete Jira work items","description":"Delete the Jira work items associated with a specific resource.\n","operationId":"첽","parameters":[{"name":"sonarProjectId","in":"query","required":true,"schema":{"type":"string"}},{"name":"resourceId","in":"query","required":true,"schema":{"type":"string"}},{"name":"resourceType","in":"query","required":true,"schema":{"type":"string","enum":["SONAR_ISSUE","DEPENDENCY_RISK"]}}],"responses":{"204":{"description":"No Content"}},"x-sonar-internal":"true"}},"/jira/project-bindings":{"get":{"tags":["Jira"],"summary":"Fetch Jira project bindings","description":"Fetch the Jira project binding for a specific Sonar project.\nAccepts only authenticated requests.\n","operationId":"裫_2","parameters":[{"name":"sonarProjectId","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JiraProjectBindingResource"}}}}},"x-sonar-internal":"true"},"post":{"tags":["Jira"],"summary":"Create or update Jira project binding","description":"Create or update a Jira project binding for a specific Sonar project.\nAccepts only authenticated requests.\n","operationId":"裫_3","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostJiraProjectBindingRequestResource"}}},"required":true},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JiraProjectBindingResource"}}}}},"x-sonar-internal":"true"},"delete":{"tags":["Jira"],"summary":"Delete Jira project binding","description":"Delete the Jira project binding for a specific Sonar project.\nAccepts only authenticated requests.\n","operationId":"첽_1","parameters":[{"name":"sonarProjectId","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}},"x-sonar-internal":"true"},"patch":{"tags":["Jira"],"summary":"Update Jira project binding","description":"Update an existing Jira project binding for a specific Sonar project.\nAccepts only authenticated requests.\n","operationId":"裫_4","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatchJiraProjectBindingRequestResource"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JiraProjectBindingResource"}}}}},"x-sonar-internal":"true"}},"/jira/organization-bindings":{"get":{"tags":["Jira"],"summary":"Fetch the Jira instance binding","description":"Fetch the Jira instance binding.\nRequires global administrator permission.\n","operationId":"첽_2","parameters":[{"name":"sonarOrganizationUuid","in":"query","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JiraOrganizationBindingResource"}}}}},"x-sonar-internal":"true"},"post":{"tags":["Jira"],"summary":"Create a new Jira instance binding","description":"Receives the 3LO state and authorization code parameters and attempts to create an instance binding.\nIf successful, returns the binding. Otherwise, returns a list of available resources.\nRequires global administrator permission.\n","operationId":"裫_5","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostJiraOrganizationBindingRequestResource"}}},"required":true},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostJiraOrganizationBindingResponseResource"}}}}},"x-sonar-internal":"true"},"delete":{"tags":["Jira"],"summary":"Delete the Jira instance binding","description":"Deletes the Jira instance binding from the database.\nRequires global administrator permission.\n","operationId":"裫_6","parameters":[{"name":"sonarOrganizationUuid","in":"query","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content"}},"x-sonar-internal":"true"},"patch":{"tags":["Jira"],"summary":"Binds the specified pending instance binding with the specified jira cloud ID","description":"Binds the specified pending instance binding with the specified jira cloud ID\n","operationId":"裫_7","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatchJiraOrganizationBindingRequestResource"}}},"required":true},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JiraOrganizationBindingResource"}}}}},"x-sonar-internal":"true"}},"/integrations/user-bindings":{"post":{"tags":["Slack User Bindings"],"summary":"Create Slack user binding","description":"Creates a new user binding between a SonarQube user and their Slack account.\nThis endpoint is used during the Slack OAuth flow when users connect their accounts\nvia the /sonarqube-server connect slash command.\n","operationId":"createUserBinding","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserBindingCreationRequest"}}},"required":true},"responses":{"201":{"description":"User binding created successfully","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserBindingResponse"}}}},"400":{"description":"Invalid request data"},"401":{"description":"Authentication required"},"403":{"description":"Insufficient permissions"},"409":{"description":"User binding already exists"},"500":{"description":"Internal server error"}},"x-sonar-internal":"true"}},"/integrations/slack/slash-commands":{"post":{"tags":["slack-slash-command-controller"],"summary":"Handle Slack Slash Commands","description":"Handles incoming Slack slash command requests and command processing.\nThe request body is form-encoded and contains command details. Signature validation is performed via\nSlackSlashCommandSignatureValidationAdvice before reaching this controller.\n","operationId":"handleSlashCommand","requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK"}},"x-sonar-internal":"true"}},"/integrations/slack/events":{"post":{"tags":["slack-event-controller"],"summary":"Handle Slack Events API","description":"Handles incoming Slack Events API requests including URL verification and workspace lifecycle events.\nThe request body is JSON and contains event details. Signature validation is performed via\nSlackEventsSignatureValidationAdvice before reaching this controller.\n","operationId":"handleEvent","requestBody":{"content":{"application/json":{"schema":{"type":"string"}}},"required":true},"responses":{"200":{"description":"OK","content":{"text/plain":{"schema":{"type":"string"}}}}},"x-sonar-internal":"true"}},"/integrations/integration-configurations":{"get":{"tags":["integration-configurations-controller"],"summary":"Get integration configurations.","description":"Requires global administrator permission.","operationId":"get","parameters":[{"name":"integrationType","in":"query","description":"Integration type","required":true,"schema":{"type":"string","enum":["SLACK"]}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationConfigurationSearchResponse"}}}}},"x-sonar-internal":"true"},"post":{"tags":["integration-configurations-controller"],"summary":"Create a configuration for an integration.","description":"Requires global administrator permission.","operationId":"create_2","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationConfigurationPostRequest"}}},"required":true},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationConfigurationResponse"}}}}},"x-sonar-internal":"true"}},"/fix-suggestions/feature-enablements/awareness-banner-interactions":{"post":{"tags":["Fix Suggestions"],"summary":"Starts a GitLab synchronization run.","operationId":"createAwarenessBannerClicked","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AwarenessBannerClickedRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AwarenessBannerClickedResponse"}}}}},"x-sonar-internal":"true"}},"/fix-suggestions/ai-suggestions":{"post":{"tags":["Fix Suggestions"],"summary":"Suggest a fix for the given issueId","description":"Requires Code Viewer permission.","operationId":"create_3","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FixSuggestionPostRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FixSuggestionResponse"}}}}}}},"/entitlements/online-activation":{"post":{"tags":["Entitlements"],"summary":"Sets the license","description":"  Only third party license keys are accepted.\n  Requires 'Administer System' permission.\n","operationId":"setLicense","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LicenseRestRequest"}}},"required":true},"responses":{"200":{"description":"OK"}},"x-sonar-internal":"true"}},"/entitlements/offline-deactivation":{"post":{"tags":["Entitlements"],"summary":"Deactivates offline license","description":"  This method is for users who activated the license using offline method. It should be used to\n  fully deactivate the license (i.e. in cases of migrating the installation to a new server).\n","operationId":"deactivateLicense","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string","format":"binary"}}}}},"x-sonar-internal":"true"}},"/entitlements/offline-activation":{"get":{"tags":["Entitlements"],"summary":"Retrieve a valid .req file for offline activation","description":"  Retrieves a .req file for offline activation of a license.\n  Requires 'Administer System' permission.\n","operationId":"retrieveRequestFile","parameters":[{"name":"License-Key","in":"header","description":"The unique license key associated with the license, in the format 'ABCD-EFGH-IJKL-MNOP'. Required in the 'License-Key' HTTP header for offline activation.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"string","format":"binary"}}}}},"x-sonar-internal":"true"},"post":{"tags":["Entitlements"],"summary":"Uploads a license","description":"  The content of the request body should be the text of the license file, along with a valid license key.\n  Requires 'Administer System' permission.\n","operationId":"uploadLicense","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LicenseUploadActivationRequest"}}},"required":true},"responses":{"200":{"description":"OK"}},"x-sonar-internal":"true"}},"/entitlements/legacy-activation":{"post":{"tags":["Entitlements"],"summary":"Sets the license","description":"  Only license keys received from Sonar are accepted.\n  Requires 'Administer System' permission.\n","operationId":"setLegacyLicense","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LegacyLicenseRestRequest"}}},"required":true},"responses":{"200":{"description":"OK"}},"x-sonar-internal":"true"}},"/dop-translation/gitlab-synchronization-runs":{"post":{"tags":["Dop Translation"],"summary":"Starts a GitLab synchronization run.","description":"  Adds a new GitLab synchronization run in the background tasks. Requires sys-admins permissions.\n","operationId":"create_4","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GitlabSynchronizationRunResource"}}}}},"x-sonar-internal":"true"}},"/dop-translation/gitlab-permission-mappings":{"get":{"tags":["Dop Translation"],"summary":"Fetch permissions mapping","description":"Get the list of all the existing roles with their permission mappings. Requires 'Administer System' permission.","operationId":"fetchAll","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionMappingsSearchRestResponse"}}}}},"x-sonar-internal":"true"},"post":{"tags":["Dop Translation"],"summary":"Create a permission mapping for a custom role","description":"Requires 'Administer System' permission.","operationId":"createMapping","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionMappingsPostRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionMappingsResource"}}}}},"x-sonar-internal":"true"}},"/dop-translation/gitlab-configurations":{"get":{"tags":["Dop Translation"],"summary":"Search GitLab configs","description":"  Get the list of GitLab configurations.\n  Note that a single configuration is supported at this time.\n  Requires authentication. System administrators receive the full configuration; other\n  logged-in users receive a reduced response with only the provisioning status.\n","operationId":"searchGitlabConfiguration","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GitlabConfigurationSearchRestResponse"}}}}},"x-sonar-internal":"true"},"post":{"tags":["Dop Translation"],"summary":"Create Gitlab configuration","description":"  Create a new Gitlab configuration.\n  Note that only a single configuration can exist at a time.\n  Requires 'Administer System' permission.\n","operationId":"create_5","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GitlabConfigurationCreateRestRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GitlabConfigurationRestResponseForAdmins"}}}}},"x-sonar-internal":"true"}},"/dop-translation/github-permission-mappings":{"get":{"tags":["Dop Translation"],"summary":"Fetch permissions mapping","description":"Get the list of all the existing roles with their permission mappings. Requires 'Administer System' permission.","operationId":"fetchAll_1","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionMappingsSearchRestResponse"}}}}},"x-sonar-internal":"true"},"post":{"tags":["Dop Translation"],"summary":"Create a permission mapping for a custom role","description":"Requires 'Administer System' permission.","operationId":"createMapping_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionMappingsPostRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionMappingsResource"}}}}},"x-sonar-internal":"true"}},"/dop-translation/github-configurations":{"get":{"tags":["Dop Translation"],"summary":"Search GitHub configs","description":"  Get the list of GitHub configurations.\n  Note that a single configuration is supported at this time.\n  Requires 'Administer System' permission.\n","operationId":"searchGithubConfiguration","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GithubConfigurationSearchRestResponse"}}}}},"x-sonar-internal":"true"},"post":{"tags":["Dop Translation"],"summary":"Create GitHub configuration","description":"  Create a new GitHub configuration.\n  Note that only a single configuration can exist at a time.\n  Requires 'Administer System' permission.\n","operationId":"createGithubConfiguration","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GithubConfigurationCreateRestRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GithubConfigurationResource"}}}}},"x-sonar-internal":"true"}},"/clean-code-policy/rules":{"post":{"tags":["Clean Code Policy"],"summary":"Custom rule creation","description":"  Create a custom rule.\n  Requires the 'Administer Quality Profiles' permission.\n","operationId":"create_6","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/RuleCreateRestRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/RuleRestResponse"}}}}},"x-internal":"true"}},"/authorizations/groups":{"get":{"tags":["Authorizations"],"summary":"Group search","description":"  Get the list of groups.\n  The results are sorted alphabetically by group name.\n","operationId":"search_1","parameters":[{"name":"managed","in":"query","description":"Return managed or non-managed groups. Only available for managed instances, throws for non-managed instances","required":false,"schema":{"type":"boolean","description":"Return managed or non-managed groups. Only available for managed instances, throws for non-managed instances"}},{"name":"q","in":"query","description":"Filter on name.\nThis parameter performs a partial match (contains), it is case insensitive.","required":false,"schema":{"type":"string","description":"Filter on name.\nThis parameter performs a partial match (contains), it is case insensitive."}},{"name":"userId","in":"query","description":"Filter groups containing the user. Only available for system administrators. Using != operator will search for groups without the user.","required":false,"schema":{"type":"string","description":"Filter groups containing the user. Only available for system administrators. Using != operator will search for groups without the user.","internal":"true"},"x-internal":"true"},{"name":"pageSize","in":"query","description":"Number of results per page. A value of 0 will only return the pagination information.","required":false,"schema":{"type":"integer","format":"int32","default":50,"description":"Number of results per page. A value of 0 will only return the pagination information.","maximum":500,"minimum":0}},{"name":"pageIndex","in":"query","description":"1-based page index","required":false,"schema":{"type":"integer","format":"int32","default":1,"description":"1-based page index","exclusiveMinimum":0,"minimum":1}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupsSearchRestResponse"}}}}}},"post":{"tags":["Authorizations"],"summary":"Create a new group","description":"Create a new group.","operationId":"create_7","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupCreateRestRequest"}}},"required":true},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupRestResponse"}}}}}}},"/authorizations/group-memberships":{"get":{"tags":["Authorizations"],"summary":"Search across group memberships","description":"  Get the list of groups and members matching the query.\n","operationId":"search_2","parameters":[{"name":"userId","in":"query","description":"ID of the user for which to search groups. If not set, all groups are returned.","required":false,"schema":{"type":"string","description":"ID of the user for which to search groups. If not set, all groups are returned."}},{"name":"groupId","in":"query","description":"ID of the group for which to search members. If not set, all groups are returned.","required":false,"schema":{"type":"string","description":"ID of the group for which to search members. If not set, all groups are returned."}},{"name":"pageSize","in":"query","description":"Number of results per page. A value of 0 will only return the pagination information.","required":false,"schema":{"type":"integer","format":"int32","default":50,"description":"Number of results per page. A value of 0 will only return the pagination information.","maximum":500,"minimum":0}},{"name":"pageIndex","in":"query","description":"1-based page index","required":false,"schema":{"type":"integer","format":"int32","default":1,"description":"1-based page index","exclusiveMinimum":0,"minimum":1}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupsMembershipSearchRestResponse"}}}}}},"post":{"tags":["Authorizations"],"summary":"Add a group membership","description":"Add a user to a group.","operationId":"create_8","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupMembershipCreateRestRequest"}}},"required":true},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupMembershipRestResponse"}}}}}}},"/atlassian/application-configuration":{"get":{"tags":["Atlassian"],"summary":"Fetch the Atlassian Authentication details if they exist","description":"Fetch the Atlassian Authentication details if they exist.\nSpecifically, only the client ID is returned for security purposes.\n","operationId":"裫_8","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AtlassianAuthenticationDetailsResultResource"}}}}},"x-sonar-internal":"true"},"post":{"tags":["Atlassian"],"summary":"Create/Update the Atlassian Authentication details","description":"Create/Update the Atlassian Authentication details.\n","operationId":"裫_9","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AtlassianAuthenticationDetailsResource"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AtlassianAuthenticationDetailsResultResource"}}}}},"x-sonar-internal":"true"}},"/users-management/users/{id}":{"get":{"tags":["Users Management"],"summary":"Fetch a single user","description":"Fetch a single user.\nThe following fields are only returned when user has Administer System permission or for logged-in in user :\n    'email'\n    'externalIdentity'\n    'externalProvider'\n    'groups'\n    'lastConnectionDate'\n    'sonarLintLastConnectionDate'\n    'tokensCount'\n  Field 'sonarqubeLastConnectionDate' is only updated every hour, so it may not be accurate, for instance when a user authenticates many times in less than one hour.\n","operationId":"fetchUser","parameters":[{"name":"id","in":"path","description":"The id of the user to fetch.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserRestResponseForAdmins"}}}}}},"delete":{"tags":["Users Management"],"summary":"Deactivate a user","description":"Deactivates a user. Requires Administer System permission.","operationId":"deactivate","parameters":[{"name":"id","in":"path","description":"The ID of the user to delete.","required":true,"schema":{"type":"string"}},{"name":"anonymize","in":"query","description":"Anonymize user in addition to deactivating it.","required":false,"schema":{"type":"boolean","default":false}}],"responses":{"204":{"description":"No Content"}}},"patch":{"tags":["Users Management"],"summary":"Update a user","description":"Update users attributes.\n","operationId":"updateUser","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/UserUpdateRestRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/UserRestResponseForAdmins"}}}}}}},"/system/email-configurations/{id}":{"get":{"tags":["System"],"summary":"Fetch an email configuration","description":"Fetch a Email configuration. Requires 'Administer System' permission.\n","operationId":"getEmailConfiguration","parameters":[{"name":"id","in":"path","description":"The id of the configuration to fetch.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailConfigurationResource"}}}}},"x-sonar-internal":"true"},"delete":{"tags":["System"],"summary":"Delete an email configuration","description":"Delete an email configuration.\nRequires 'Administer System' permission.\n","operationId":"deleteEmailConfiguration","parameters":[{"name":"id","in":"path","description":"The id of the configuration to delete.","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}},"x-sonar-internal":"true"},"patch":{"tags":["System"],"summary":"Update an email configuration","description":"Update an email configuration. Requires 'Administer System' permission.\n","operationId":"updateEmailConfiguration","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/EmailConfigurationUpdateRestRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EmailConfigurationResource"}}}}},"x-sonar-internal":"true"}},"/sca/license-profiles/{license-profile-key}":{"get":{"tags":["License Profiles"],"summary":"Get the license policy for a given profile","description":"Get the license policy for a given profile.\n","operationId":"get_1","parameters":[{"name":"license-profile-key","in":"path","description":"The license profile key.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LicenseProfileDetailsResource"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"},"delete":{"tags":["License Profiles"],"summary":"Delete the license profile","description":"Delete the license profile.","operationId":"delete","parameters":[{"name":"license-profile-key","in":"path","description":"The id of the license profile","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"},"patch":{"tags":["License Profiles"],"summary":"Update the license profile","description":"  Update the license profile for projects to use when evaluating license issues.\n","operationId":"update","parameters":[{"name":"license-profile-key","in":"path","description":"The id of the license profile","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LicenseProfilesUpdateRestRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LicenseProfileResource"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"}},"/sca/license-profiles/{license-profile-key}/licenses/{license-policy-id}":{"patch":{"tags":["License Profiles"],"summary":"Update the policy for a single license","description":"  Update the policy for a single license in the license profile.\n","operationId":"patchLicense","parameters":[{"name":"license-profile-key","in":"path","description":"The license profile key.","required":true,"schema":{"type":"string"}},{"name":"license-policy-id","in":"path","description":"The license ID.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LicensePolicyLicenseUpdateRestRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LicensePolicyLicenseResource"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"}},"/sca/license-profiles/{license-profile-key}/categories/{category-key}":{"patch":{"tags":["License Profiles"],"summary":"Update the policy for a license category","description":"  Update the policy for an entire category in the license profile.\n","operationId":"patchCategory","parameters":[{"name":"license-profile-key","in":"path","description":"The license profile key.","required":true,"schema":{"type":"string"}},{"name":"category-key","in":"path","description":"The category key.","required":true,"schema":{"type":"string","enum":["UNKNOWN","COPYLEFT_WEAK","COPYLEFT_STRONG","COPYLEFT_NETWORK","COPYLEFT_MAXIMAL","PERMISSIVE_STANDARD","PERMISSIVE_AMATEUR"]}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/LicenseProfileCategoryUpdateRestRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LicenseProfileCategoryResource"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"}},"/sca/license-profiles/assigned-projects":{"patch":{"tags":["License Profiles"],"summary":"Assign project to license profile","description":"  Configure which license profile should be used when analyzing a project for license issues.\n","operationId":"update_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AssignedProjectsUpdateRestRequest"}}},"required":true},"responses":{"200":{"description":"The provided project has been assigned to the license profile.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LicenseProfileResource"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"}},"/sca/issues-releases/{key}/changelog":{"delete":{"tags":["Issues-Releases"],"summary":"Delete a comment from an issue-release pair","description":"Delete a comment from a (issue,release) pair (dependency risk).\n\nThis is an internal API and is subject to change without notice.\n","operationId":"deleteComment","parameters":[{"name":"key","in":"path","description":"The key of the (issue,release) pair.","required":true,"schema":{"type":"string"}},{"name":"issueReleaseChangeKey","in":"query","description":"Issue release change key","required":true,"schema":{"type":"string","description":"Issue release change key"}}],"responses":{"204":{"description":"No Content"}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"},"patch":{"tags":["Issues-Releases"],"summary":"Update a comment on an issue-release pair","description":"Update a comment on a (issue,release) pair (dependency risk).\n\nThis is an internal API and is subject to change without notice.\n","operationId":"updateComment","parameters":[{"name":"key","in":"path","description":"The key of the (issue,release) pair.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssueReleaseUpdateCommentRestRequest"}}},"required":true},"responses":{"200":{"description":"OK"}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"}},"/sca/issues-releases/{id}":{"patch":{"tags":["Issues-Releases"],"summary":"Update the issue-release pair's information, specifically around severity","description":"Update the issue-release pair's information, specifically around severity. This is used to dismiss an increased\nseverity warning, or to manually change the severity.\n\nThis is an internal API and is subject to change without notice.\n","operationId":"updateIssueRelease","parameters":[{"name":"id","in":"path","description":"The key of the (issue,release) pair.","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssueReleaseSetSeverityRestRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssueReleaseDetailsResource"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"}},"/sca/feature-enablements":{"get":{"tags":["Feature Enablement"],"summary":"Get the status of SCA feature opt-in (should only be used for the configuration UX in frontend)","operationId":"getFeatureEnablement","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeatureEnablementResource"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"},"patch":{"tags":["Feature Enablement"],"summary":"Update SCA feature opt-in (should only be used for the configuration UX in frontend)","operationId":"updateFeatureEnablement","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeatureEnablementRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeatureEnablementResource"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"}},"/jira/work-types":{"get":{"tags":["Jira"],"summary":"Returns a list of all the available Jira work types for a specific Jira project","description":"Returns a list of all the available Jira work types for a specific Jira project.\nAlso checks which work types are selected for a given sonar project. Conditionally, also includes field metadata.\n","operationId":"裫_10","parameters":[{"name":"jiraProjectKey","in":"query","required":true,"schema":{"type":"string"}},{"name":"sonarOrganizationUuid","in":"query","required":true,"schema":{"type":"string","format":"uuid"}},{"name":"sonarProjectId","in":"query","required":false,"schema":{"type":"string"}},{"name":"includeFields","in":"query","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/JiraWorkTypeResultResource"}}}}}},"x-sonar-internal":"true"},"patch":{"tags":["Jira"],"summary":"Saves the selected Jira work types for a project","description":"Receives a Jira project key and a list of work type and stores the work types.\n","operationId":"裫_11","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/JiraWorkTypesSelectionResource"}}},"required":true},"responses":{"200":{"description":"OK"}},"x-sonar-internal":"true"}},"/jira/organization-binding-edit":{"patch":{"tags":["Jira"],"summary":"Update Jira organization binding properties","description":"Update properties of an existing Jira organization binding, such as token sharing configuration.\nRequires global administrator permission.\n","operationId":"裫_12","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatchJiraOrganizationBindingEditResource"}}},"required":true},"responses":{"201":{"description":"Created","content":{"application/json":{"schema":{"$ref":"#/components/schemas/JiraOrganizationBindingResource"}}}}},"x-sonar-internal":"true"}},"/issues/sandbox-settings":{"get":{"tags":["Issues"],"summary":"Fetch instance sandbox settings","description":"Fetch the current instance-level sandbox settings.\nReturns configuration including enabled status, default value, allowOverride setting, and software qualities or rule types based on current mode.\nRequires 'Administer System' permission.\n","operationId":"getSandboxSettings","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SandboxSettingsResource"}}}}},"x-sonar-internal":"true"},"patch":{"tags":["Issues"],"summary":"Update instance sandbox settings","description":"Update the instance-level sandbox settings.\nCannot enable sandbox without providing software qualities or rule types unless they already exist.\nWhen disabling allowOverride, all project-level software quality overrides are deleted.\nRequires 'Administer System' permission.\n","operationId":"patchSandboxSettings","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SandboxSettingsResource"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SandboxSettingsResource"}}}}},"x-sonar-internal":"true"}},"/issues/sandbox-settings/{projectKey}":{"get":{"tags":["Issues"],"summary":"Fetch project sandbox settings","description":"Fetch the sandbox settings for a specific project.\nReturns effective configuration including enabled status, software qualities overrides, and whether settings are inherited from instance or overridden at project level.\nRequires 'Administer Project' permission.\n","operationId":"getProjectSandboxSettings","parameters":[{"name":"projectKey","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SandboxSettingsProjectResource"}}}}},"x-sonar-internal":"true"},"patch":{"tags":["Issues"],"summary":"Update project sandbox settings","description":"Update the sandbox settings for a specific project.\nThe enabled setting can be changed independently of software quality overrides.\nWhen allowOverride is disabled at instance level, software quality changes are not allowed but enabled changes are still permitted.\nSetting overridden=false removes project-level software quality overrides to inherit from instance settings.\nRequires 'Administer Project' permission and instance sandbox must be enabled.\n","operationId":"patchProjectSandboxSettings","parameters":[{"name":"projectKey","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SandboxSettingsProjectResource"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SandboxSettingsProjectResource"}}}}},"x-sonar-internal":"true"}},"/integrations/integration-configurations/{id}":{"delete":{"tags":["integration-configurations-controller"],"summary":"Delete an integration configuration and all its related data.","description":"Requires global administrator permission.\nThis will permanently delete the integration configuration, all associated workspaces, user bindings, and subscriptions.\n","operationId":"delete_1","parameters":[{"name":"id","in":"path","description":"ID of the integration configuration","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"No Content"}},"x-sonar-internal":"true"},"patch":{"tags":["integration-configurations-controller"],"summary":"Update an integration configuration.","description":"Requires global administrator permission.","operationId":"update_2","parameters":[{"name":"id","in":"path","description":"ID of the integration configuration","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationConfigurationPatchRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IntegrationConfigurationResponse"}}}}},"x-sonar-internal":"true"}},"/fix-suggestions/feature-enablements":{"get":{"tags":["Fix Suggestions"],"summary":"Fetch the Ai CodeFix feature enablement configurations","operationId":"getFeatureEnablement_1","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/FeatureEnablementResponse"}}}}},"x-sonar-internal":"true"},"patch":{"tags":["Fix Suggestions"],"summary":"Enable/Disable the AI CodeFix feature at the instance or project level","operationId":"updateFeatureEnablement_1","requestBody":{"content":{"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/FixSuggestionsFeatureEnablementRequest"}}},"required":true},"responses":{"204":{"description":"No Content"}},"x-sonar-internal":"true"}},"/entitlements/license":{"get":{"tags":["Entitlements"],"summary":"Returns information about the license","description":"  Returns information about the current license.\n  Requires 'Administer System' permission.\n","operationId":"getLicense","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/LicenseRestResponse"}}}}},"x-sonar-internal":"true"},"delete":{"tags":["Entitlements"],"summary":"Deletes the existing license","description":"  Deletes the license. Both license keys received from Sonar and from 3rd party system can be removed.\n  Requires 'Administer System' permission.\n","operationId":"deleteLicense","responses":{"200":{"description":"OK"}},"x-sonar-internal":"true"},"patch":{"tags":["Entitlements"],"summary":"Refreshes the existing license","description":"  Fetches the latest information about the license and updates it on the SonarQube Server instance.\n  Requires 'Administer System' permission.\n","operationId":"refreshLicense","responses":{"200":{"description":"OK"}},"x-sonar-internal":"true"}},"/dop-translation/gitlab-permission-mappings/{role}":{"delete":{"tags":["Dop Translation"],"summary":"Delete a single permission mappings","description":"Requires 'Administer System' permission.","operationId":"deleteMapping","parameters":[{"name":"role","in":"path","description":"The name of the role to delete","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}},"x-sonar-internal":"true"},"patch":{"tags":["Dop Translation"],"summary":"Update a single permission mapping","description":"Requires 'Administer System' permission.","operationId":"updateMapping","parameters":[{"name":"role","in":"path","description":"The name of the role to update","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/DevOpsPermissionMappingUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionMappingsResource"}}}}},"x-sonar-internal":"true"}},"/dop-translation/gitlab-configurations/{id}":{"get":{"tags":["Dop Translation"],"summary":"Fetch a GitLab configuration","description":"Fetch a GitLab configuration. Requires authentication. System administrators receive the full\nconfiguration; other logged-in users receive a reduced response with only the provisioning status.\n","operationId":"getGitlabConfiguration","parameters":[{"name":"id","in":"path","description":"The id of the configuration to fetch.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GitlabConfigurationRestResponseForAdmins"}}}}},"x-sonar-internal":"true"},"delete":{"tags":["Dop Translation"],"summary":"Delete a GitLab configuration","description":"Delete a GitLab configuration.\nRequires 'Administer System' permission.\n","operationId":"deleteGitlabConfiguration","parameters":[{"name":"id","in":"path","description":"The id of the configuration to delete.","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}},"x-sonar-internal":"true"},"patch":{"tags":["Dop Translation"],"summary":"Update a Gitlab configuration","description":"Update a Gitlab configuration. Requires 'Administer System' permission.\n","operationId":"updateGitlabConfiguration","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/GitlabConfigurationUpdateRestRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GitlabConfigurationRestResponseForAdmins"}}}}},"x-sonar-internal":"true"}},"/dop-translation/github-permission-mappings/{role}":{"delete":{"tags":["Dop Translation"],"summary":"Delete a single permission mappings","description":"Requires 'Administer System' permission.","operationId":"deleteMapping_1","parameters":[{"name":"role","in":"path","description":"The name of the role to delete","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}},"x-sonar-internal":"true"},"patch":{"tags":["Dop Translation"],"summary":"Update a single permission mapping","description":"Requires 'Administer System' permission.","operationId":"updateMapping_1","parameters":[{"name":"role","in":"path","description":"The name of the role to update","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/DevOpsPermissionMappingUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PermissionMappingsResource"}}}}},"x-sonar-internal":"true"}},"/dop-translation/github-configurations/{id}":{"get":{"tags":["Dop Translation"],"summary":"Fetch a GitHub configuration","description":"Fetch a GitHub configuration. Requires 'Administer System' permission.\n","operationId":"getGithubConfiguration","parameters":[{"name":"id","in":"path","description":"The id of the configuration to fetch.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GithubConfigurationResource"}}}}},"x-sonar-internal":"true"},"delete":{"tags":["Dop Translation"],"summary":"Delete a GitHub configuration","description":"Delete a GitHub configuration.\nRequires 'Administer System' permission.\n","operationId":"deleteGithubConfiguration","parameters":[{"name":"id","in":"path","description":"The id of the configuration to delete.","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}},"x-sonar-internal":"true"},"patch":{"tags":["Dop Translation"],"summary":"Update a GitHub configuration","description":"Update a GitHub configuration. Requires 'Administer System' permission.\n","operationId":"updateGithubConfiguration","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/GithubConfigurationUpdateRestRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GithubConfigurationResource"}}}}},"x-sonar-internal":"true"}},"/clean-code-policy/mode":{"get":{"tags":["Clean Code Policy"],"summary":"Retrieve current instance Mode","description":"Fetch the current instance mode. Can be Multi-Quality Rules (MQR) Mode or Standard Experience.\n","operationId":"getMode","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ModeResource"}}}}},"x-sonar-internal":"true"},"patch":{"tags":["Clean Code Policy"],"summary":"Update current instance Mode","description":"Update the current instance mode. Can be Multi-Quality Rules (MQR) Mode or Standard Experience.\nRequires 'Administer System' permission.\n","operationId":"patchMode","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ModeResource"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ModeResource"}}}}},"x-sonar-internal":"true"}},"/authorizations/groups/{id}":{"get":{"tags":["Authorizations"],"summary":"Fetch a single group","description":"Fetch a single group.","operationId":"fetchGroup","parameters":[{"name":"id","in":"path","description":"The id of the group to fetch.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupRestResponse"}}}}}},"delete":{"tags":["Authorizations"],"summary":"Deletes a group","description":"Deletes a group.","operationId":"deleteGroup","parameters":[{"name":"id","in":"path","description":"The ID of the group to delete.","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"No Content"}}},"patch":{"tags":["Authorizations"],"summary":"Update a group","description":"Update a group name or description.\n","operationId":"updateGroup","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/merge-patch+json":{"schema":{"$ref":"#/components/schemas/GroupUpdateRestRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GroupRestResponse"}}}}}}},"/system/migrations-status":{"get":{"tags":["System"],"summary":"Gets the status of ongoing database migrations, if any","description":"Return the detailed status of ongoing database migrations including starting date. If no migration is ongoing or needed it is still possible to call this endpoint and receive appropriate information.","operationId":"getStatus","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DatabaseMigrationsResponse"}}}}}}},"/system/liveness":{"get":{"tags":["System"],"summary":"Provide liveness of SonarQube, meant to be used as a liveness probe on Kubernetes","description":"  Require 'Administer System' permission or authentication with passcode.\n\n  When SonarQube is fully started, liveness check for database connectivity, Compute Engine status, and, except for DataCenter Edition, if ElasticSearch is Green or Yellow.\n\n  When SonarQube is on Safe Mode (for example when a database migration is running), liveness check only for database connectivity\n","operationId":"livenessCheck","parameters":[{"name":"X-Sonar-Passcode","in":"header","description":"Passcode can be provided, see SonarQube documentation","required":false,"schema":{"type":"string"}}],"responses":{"204":{"description":"This SonarQube node is alive"},"default":{"description":"This SonarQube node is not alive and should be rescheduled"}}}},"/system/health":{"get":{"tags":["System"],"operationId":"getHealth","parameters":[{"name":"X-Sonar-Passcode","in":"header","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Health"}}}}}}},"/software-quality-reports/accessibility-reports":{"get":{"tags":["software-quality-reports-controller"],"summary":"Get accessibility report","description":"Get the accessibility report for a project branch.","operationId":"裫_13","parameters":[{"name":"branchKey","in":"query","description":"Branch key. If not provided, the main branch is used.","required":false,"schema":{"type":"string"},"example":"my-branch"},{"name":"projectKey","in":"query","description":"Project key.","required":true,"schema":{"type":"string"},"example":"my-project"},{"name":"standard","in":"query","description":"Accessibility standard.","required":true,"schema":{"type":"string","enum":["wcag"]},"example":"wcag"},{"name":"version","in":"query","description":"Accessibility standard version.","required":true,"schema":{"type":"string","enum":["2.0","2.1","2.2"]},"example":2.1}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/GetAccessibilityReportResponse"}}}}},"x-sonar-internal":"true"}},"/sca/self-test":{"get":{"tags":["Self Test"],"summary":"Run a self test","description":"Run a self test that the dependency analysis (SCA) feature is enabled and\nable to reach the cloud services it relies on.\n\nThis is an internal API and is subject to change without notice.\n","operationId":"performSelfTest","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SelfTestResponse"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"}},"/sca/sbom-reports":{"get":{"tags":["SBOM Reports"],"summary":"Get a software bill of materials (SBOM) report","description":"Return a report based on the dependencies in this component's branch, using\nthe type parameter and Accept header to select the report to generate.\n\nRight now, the available reports have specialized MIME types that\ngo along with those formats:\n\n* CycloneDX: https://cyclonedx.org/specification/overview/\n  * JSON & XML\n* SPDX 2.3: https://spdx.github.io/spdx-spec/v2.3/\n  * JSON & XML\n* SPDX 3.0: https://spdx.github.io/spdx-spec/v3.0.1/\n  * JSON\n","operationId":"generateReport","parameters":[{"name":"component","in":"query","description":"Key of the component (project, application, portfolio) to build report for","required":true,"schema":{"type":"string","description":"Key of the component (project, application, portfolio) to build report for"}},{"name":"branch","in":"query","description":"Key of the branch to build report for","required":false,"schema":{"type":"string","description":"Key of the branch to build report for"}},{"name":"type","in":"query","description":"Type of report to generate.\nThe `Accept` header sent by the client determines the format of the report.\nCurrently supported: cyclonedx (application/vnd.cyclonedx+json), cyclonedx (application/vnd.cyclonedx+xml),\nspdx_23 (application/spdx+json), spdx_23 (application/spdx+xml),\nspdx_30 (application/spdx+json)\n","required":true,"schema":{"type":"string","description":"Type of report to generate.\nThe `Accept` header sent by the client determines the format of the report.\nCurrently supported: cyclonedx (application/vnd.cyclonedx+json), cyclonedx (application/vnd.cyclonedx+xml),\nspdx_23 (application/spdx+json), spdx_23 (application/spdx+xml),\nspdx_30 (application/spdx+json)\n","enum":["cyclonedx","spdx_23","spdx_30"]}},{"name":"onlyProductionScope","in":"query","description":"If false, include all dependencies. Default (true/absent) filters to production dependencies only.","required":false,"schema":{"type":"boolean","description":"If false, include all dependencies. Default (true/absent) filters to production dependencies only."}}],"responses":{"200":{"description":"The desired report in the desired output format","content":{"application/vnd.cyclonedx+json":{"schema":{"type":"string"}},"application/vnd.cyclonedx+xml":{"schema":{"type":"string"}},"application/spdx+json":{"schema":{"type":"string"}},"application/spdx+xml":{"schema":{"type":"string"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-public":"true"}},"/sca/risk-reports":{"get":{"tags":["Risk Reports"],"summary":"Get a report for all the current SCA dependency risks for a given component and branch","description":"Returns list of all risks for a given component and branch. CSV format is available by setting `Accept: text/csv` in your request headers. VEX (CycloneDX 1.6) format is available by setting `Accept: application/vnd.cyclonedx+json`.\n","operationId":"getReport","parameters":[{"name":"component","in":"query","description":"Key of the component (project, application, portfolio) to build report for","required":true,"schema":{"type":"string","description":"Key of the component (project, application, portfolio) to build report for"}},{"name":"branch","in":"query","description":"Key of the branch to build report for","required":false,"schema":{"type":"string","description":"Key of the branch to build report for"}},{"name":"riskType","in":"query","required":false,"schema":{"type":"array","description":"Types of risk to filter the report by. If not provided, all risk types are included.","items":{"type":"string"},"uniqueItems":true}}],"responses":{"200":{"description":"The report in the desired output format","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/RiskReportItem"}}},"text/csv":{"schema":{"type":"string"}},"application/vnd.cyclonedx+json":{"schema":{"type":"string"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-public":"true"}},"/sca/releases":{"get":{"tags":["Releases"],"summary":"Search for releases","description":"Search for package releases that appear in the analyzed project,\napplication, or portfolio, as determined by software composition analysis.\n\nThis endpoint returns one result for each release,\nrather than one result for each time a release is pulled in.\nEach result may appear in multiple files or scopes that\nall use the same version of the affected package.\n\nThe search results do not include full details on the dependencies\nthat pull in each release, only a summary. To get the full dependency\ndetails, use the /releases/{key} endpoint for a single release.\n\nIn the terminology of this endpoint, a \"release\" is a version of\na package like \"lodash 1.2.3\", and a \"dependency\" is a specific file\nand scope that pulls in the release such as \"subproject/pom.xml test\".\nEach returned release may have multiple dependencies.\n\nThis is an internal API and is subject to change without notice.\n","operationId":"search_3","parameters":[{"name":"projectKey","in":"query","description":"Key of the component (project, application, or portfolio) to fetch all dependencies from","required":true,"schema":{"type":"string","description":"Key of the component (project, application, or portfolio) to fetch all dependencies from"}},{"name":"branchKey","in":"query","description":"Key of the branch to fetch all dependencies from. If not provided, the default branch will be used unless a pull request key is provided.","required":false,"schema":{"type":"string","description":"Key of the branch to fetch all dependencies from. If not provided, the default branch will be used unless a pull request key is provided."}},{"name":"pullRequestKey","in":"query","description":"Key of the pull request to fetch all dependencies from.","required":false,"schema":{"type":"string","description":"Key of the pull request to fetch all dependencies from."}},{"name":"direct","in":"query","description":"Filter on the direct attribute. TRUE stands for direct dependencies, FALSE for transitive dependencies.","required":false,"schema":{"type":"boolean","description":"Filter on the direct attribute. TRUE stands for direct dependencies, FALSE for transitive dependencies."}},{"name":"newlyIntroduced","in":"query","description":"Filter on the newlyIntroduced attribute. TRUE stands for only releases introduced vs. the target branch, FALSE for releases shared with target.","required":false,"schema":{"type":"boolean","description":"Filter on the newlyIntroduced attribute. TRUE stands for only releases introduced vs. the target branch, FALSE for releases shared with target."}},{"name":"productionScope","in":"query","description":"Filter on the productionScope attribute. TRUE stands for only production dependencies, FALSE for only not in production. If a release is both, it matches both.","required":false,"schema":{"type":"boolean","description":"Filter on the productionScope attribute. TRUE stands for only production dependencies, FALSE for only not in production. If a release is both, it matches both."}},{"name":"packageManagers","in":"query","required":false,"schema":{"type":"array","description":"Filter on the package manager","items":{"type":"string"},"uniqueItems":true}},{"name":"q","in":"query","description":"Filter on the package name. This parameter performs a partial match (contains and case insensitive) on the package name.","required":false,"schema":{"type":"string","description":"Filter on the package name. This parameter performs a partial match (contains and case insensitive) on the package name."}},{"name":"pageSize","in":"query","description":"Number of results per page. A value of 0 will only return the pagination information.","required":false,"schema":{"type":"integer","format":"int32","default":50,"description":"Number of results per page. A value of 0 will only return the pagination information.","maximum":500,"minimum":0}},{"name":"pageIndex","in":"query","description":"1-based page index","required":false,"schema":{"type":"integer","format":"int32","default":1,"description":"1-based page index","exclusiveMinimum":0,"minimum":1}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleasesSearchRestResponse"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"}},"/sca/releases/{key}":{"get":{"tags":["Releases"],"summary":"Get a single release","description":"Fetch a single release by its key.\n\nThis single-release endpoint lists full details for all dependencies\nthat mention the release.\n\nIn the terminology of this endpoint, a \"release\" is a version of\na package like \"lodash 1.2.3\", and a \"dependency\" is a specific file\nand scope that pulls in the release such as \"subproject/pom.xml test\".\nEach returned release may have multiple dependencies.\n\nThis is an internal API and is subject to change without notice.\n","operationId":"fetchRelease","parameters":[{"name":"key","in":"path","description":"The key of the release to fetch.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseDetailResource"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"}},"/sca/releases/search":{"get":{"tags":["Releases"],"summary":"Search for package releases across an organization","description":"Search for all analyzed branches across all projects in an organization that contain a specific\npackage, identified by its Package URL (PURL).\n\nThe PURL may include a version for an exact match (e.g. pkg:npm/lodash@4.17.21), or omit the\nversion to find all versions of the package in use (e.g. pkg:npm/lodash).\n\nReturns one result per branch that contains a matching release, including feature branches and\npull requests. Each result includes the exact packageUrl found on that branch.\n\nThis is an internal API and is subject to change without notice.\n","operationId":"search_4","parameters":[{"name":"purl","in":"query","description":"Package URL (PURL) to search for. May include a version for exact matching (e.g. pkg:npm/lodash@4.17.21) or omit the version to find all versions in use (e.g. pkg:npm/lodash).","required":true,"schema":{"type":"string","description":"Package URL (PURL) to search for. May include a version for exact matching (e.g. pkg:npm/lodash@4.17.21) or omit the version to find all versions in use (e.g. pkg:npm/lodash).","minLength":1}},{"name":"pageSize","in":"query","description":"Number of results per page. A value of 0 will only return the pagination information.","required":false,"schema":{"type":"integer","format":"int32","default":50,"description":"Number of results per page. A value of 0 will only return the pagination information.","maximum":500,"minimum":0}},{"name":"pageIndex","in":"query","description":"1-based page index","required":false,"schema":{"type":"integer","format":"int32","default":1,"description":"1-based page index","exclusiveMinimum":0,"minimum":1}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ReleaseSearchRestResponse"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"}},"/sca/license-profiles/assignable-projects":{"get":{"tags":["License Profiles"],"summary":"License profile assignable projects","description":"  List the projects that can be assigned to the license profile. Assigning the\n  project to a license profile will cause that license profile to be used when\n  analyzing the project for license issues.\n","operationId":"index_1","parameters":[{"name":"licenseProfileUuid","in":"query","description":"(Deprecated) The key of the license profile whose assignable projects should be retrieved.\n","required":false,"schema":{"type":"string","description":"(Deprecated) The key of the license profile whose assignable projects should be retrieved.\n"}},{"name":"licenseProfileId","in":"query","description":"The key of the license profile whose assignable projects should be retrieved.\n","required":false,"schema":{"type":"string","description":"The key of the license profile whose assignable projects should be retrieved.\n"}},{"name":"assignedToLicenseProfile","in":"query","description":"  Providing this parameter filters by whether projects are assigned to the license profile or not.\n  Omitting this parameter includes all projects which can be assigned to the license profile,\n  regardless of whether they are already assigned to the license profile.\n","required":false,"schema":{"type":"boolean","description":"  Providing this parameter filters by whether projects are assigned to the license profile or not.\n  Omitting this parameter includes all projects which can be assigned to the license profile,\n  regardless of whether they are already assigned to the license profile.\n"}},{"name":"q","in":"query","description":"  Providing this parameter performs a partial match (contains and case insensitive) on the project name.\n","required":false,"schema":{"type":"string","description":"  Providing this parameter performs a partial match (contains and case insensitive) on the project name.\n"}},{"name":"pageSize","in":"query","description":"Number of results per page. A value of 0 will only return the pagination information.","required":false,"schema":{"type":"integer","format":"int32","default":50,"description":"Number of results per page. A value of 0 will only return the pagination information.","maximum":500,"minimum":0}},{"name":"pageIndex","in":"query","description":"1-based page index","required":false,"schema":{"type":"integer","format":"int32","default":1,"description":"1-based page index","exclusiveMinimum":0,"minimum":1}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AssignableProjectsIndexRestResponse"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"}},"/sca/issues-releases":{"get":{"tags":["Issues-Releases"],"summary":"Search for issue-release pairs","description":"Search for software composition analysis issues (dependency risks)\nof a project, paired with releases that appear in the analyzed\nproject, application, or portfolio.\n\nThis endpoint returns one result for each (issue,release) pair,\nrather than one result for each distinct issue. So for example\nif a library uses two different versions of a package and\nboth versions are affected by the same vulnerability, you will\nget two results not one.\n\nHowever each result may appear in multiple files or scopes that\nall use the same version of the affected package.\n\nIn the terminology of this endpoint, a \"release\" is a version of\na package like \"lodash 1.2.3\", an \"issue\" is a problem such as\n\"CVE-1234\", and a \"dependency\" is a specific file and scope that\npulls in the release such as \"subproject/pom.xml test\".\n\nThis is an internal API and is subject to change without notice.\n","operationId":"search_5","parameters":[{"name":"projectKey","in":"query","description":"Key of the component (project, application, portfolio) to fetch all dependency risks from.","required":true,"schema":{"type":"string","description":"Key of the component (project, application, portfolio) to fetch all dependency risks from."}},{"name":"branchKey","in":"query","description":"Key of the branch to fetch all dependency risks from. If not provided, the default branch will be used unless a pull request key is provided.","required":false,"schema":{"type":"string","description":"Key of the branch to fetch all dependency risks from. If not provided, the default branch will be used unless a pull request key is provided."}},{"name":"pullRequestKey","in":"query","description":"Key of the pull request to fetch all dependency risks from.","required":false,"schema":{"type":"string","description":"Key of the pull request to fetch all dependency risks from."}},{"name":"sort","in":"query","description":"Sort order","required":false,"schema":{"type":"string","default":"+identity","description":"Sort order","enum":["+identity","-identity","+severity","-severity","+cvssScore","-cvssScore"]}},{"name":"packageManagers","in":"query","required":false,"schema":{"type":"array","description":"Filter on the package manager","items":{"type":"string"},"uniqueItems":true}},{"name":"types","in":"query","required":false,"schema":{"type":"array","description":"Filter on the issue type","items":{"type":"string"},"uniqueItems":true}},{"name":"qualities","in":"query","required":false,"schema":{"type":"array","description":"Filter on the quality domain","items":{"type":"string"},"uniqueItems":true}},{"name":"severities","in":"query","required":false,"schema":{"type":"array","description":"Filter on the severity","items":{"type":"string"},"uniqueItems":true}},{"name":"statuses","in":"query","required":false,"schema":{"type":"array","description":"Filter on the status","items":{"type":"string"},"uniqueItems":true}},{"name":"packageName","in":"query","description":"Filter on the package name. This parameter performs a partial match (contains and case insensitive) on the package name.","required":false,"schema":{"type":"string","description":"Filter on the package name. This parameter performs a partial match (contains and case insensitive) on the package name."}},{"name":"vulnerabilityId","in":"query","description":"Filter on the vulnerability ID. This parameter performs a partial match (contains and case insensitive) on the vulnerability ID.","required":false,"schema":{"type":"string","description":"Filter on the vulnerability ID. This parameter performs a partial match (contains and case insensitive) on the vulnerability ID."}},{"name":"newlyIntroduced","in":"query","description":"Filter on the isNew attribute. TRUE stands for only releases introduced vs. the target branch, FALSE for releases shared with target.","required":false,"schema":{"type":"boolean","description":"Filter on the isNew attribute. TRUE stands for only releases introduced vs. the target branch, FALSE for releases shared with target."}},{"name":"direct","in":"query","description":"Filter on the direct attribute. TRUE stands for only direct dependencies, FALSE for only transitive. If a release is both, it matches both.","required":false,"schema":{"type":"boolean","description":"Filter on the direct attribute. TRUE stands for only direct dependencies, FALSE for only transitive. If a release is both, it matches both."}},{"name":"productionScope","in":"query","description":"Filter on the productionScope attribute. TRUE stands for only production dependencies, FALSE for only not in production. If a release is both, it matches both.","required":false,"schema":{"type":"boolean","description":"Filter on the productionScope attribute. TRUE stands for only production dependencies, FALSE for only not in production. If a release is both, it matches both."}},{"name":"assignees","in":"query","required":false,"schema":{"type":"array","description":"Filter on assignee logins.","items":{"type":"string"},"uniqueItems":true}},{"name":"projects","in":"query","required":false,"schema":{"type":"array","description":"Filter on project keys.","items":{"type":"string"},"uniqueItems":true}},{"name":"assigned","in":"query","description":"Filter on whether the issue is assigned or not.","required":false,"schema":{"type":"boolean","description":"Filter on whether the issue is assigned or not."}},{"name":"onlyShowConfirmedReachable","in":"query","description":"Filter to only show issue releases with confirmed reachable CVE locations.","required":false,"schema":{"type":"boolean","description":"Filter to only show issue releases with confirmed reachable CVE locations."}},{"name":"fixedInPullRequestKey","in":"query","description":"Key of a pull request. Filters to issues on the current branch that either do not exist on the specified PR branch or have status FIXED on it.","required":false,"schema":{"type":"string","description":"Key of a pull request. Filters to issues on the current branch that either do not exist on the specified PR branch or have status FIXED on it."}},{"name":"securityStandard","in":"query","description":"Security standard for CWE filtering (e.g., 'cwe', 'owaspTop10'). When provided with securityStandardVersion, expands to CWE IDs and filters issues containing those CWEs. Can be combined with securityStandardCategory for fine-grained filtering.","required":false,"schema":{"type":"string","description":"Security standard for CWE filtering (e.g., 'cwe', 'owaspTop10'). When provided with securityStandardVersion, expands to CWE IDs and filters issues containing those CWEs. Can be combined with securityStandardCategory for fine-grained filtering."}},{"name":"securityStandardVersion","in":"query","description":"Version of the security standard (e.g., '2024' for CWE Top 25, '2021' for OWASP Top 10). Required when using securityStandard. Ignored if securityStandard is null.","required":false,"schema":{"type":"string","description":"Version of the security standard (e.g., '2024' for CWE Top 25, '2021' for OWASP Top 10). Required when using securityStandard. Ignored if securityStandard is null."}},{"name":"securityStandardCategory","in":"query","description":"Category within the security standard (e.g., 'cwe-119' for CWE Top 25, 'a6' for OWASP Top 10). If null, all CWE IDs for the given standard and version are included. Ignored if securityStandard is null.","required":false,"schema":{"type":"string","description":"Category within the security standard (e.g., 'cwe-119' for CWE Top 25, 'a6' for OWASP Top 10). If null, all CWE IDs for the given standard and version are included. Ignored if securityStandard is null."}},{"name":"securityStandardLevel","in":"query","description":"Level within the security standard (e.g., 'Level 1', 'Level 2', 'Level 3' for OWASP ASVS). Levels are inclusive (e.g., Level 2 includes all Level 1 and Level 2 requirements). Ignored if securityStandard is null or does not support levels.","required":false,"schema":{"type":"string","description":"Level within the security standard (e.g., 'Level 1', 'Level 2', 'Level 3' for OWASP ASVS). Levels are inclusive (e.g., Level 2 includes all Level 1 and Level 2 requirements). Ignored if securityStandard is null or does not support levels."}},{"name":"pageSize","in":"query","description":"Number of results per page. A value of 0 will only return the pagination information.","required":false,"schema":{"type":"integer","format":"int32","default":50,"description":"Number of results per page. A value of 0 will only return the pagination information.","maximum":500,"minimum":0}},{"name":"pageIndex","in":"query","description":"1-based page index","required":false,"schema":{"type":"integer","format":"int32","default":1,"description":"1-based page index","exclusiveMinimum":0,"minimum":1}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssuesReleasesSearchRestResponse"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"}},"/sca/issues-releases/{key}":{"get":{"tags":["Issues-Releases"],"summary":"Get a single issue-release pair","description":"Fetch a single (issue,release) pair (dependency risk), using the key from the search endpoint.\n\nThis is an internal API and is subject to change without notice.\n","operationId":"fetchIssueRelease","parameters":[{"name":"key","in":"path","description":"The key of the issue,release pair to fetch.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssueReleaseDetailsResource"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"}},"/sca/issues-releases/{key}/changelogs":{"get":{"tags":["Issues-Releases"],"summary":"Get the changelog for a single issue-release pair","description":"Get the changelog for a single (issue,release) pair (dependency risk), using the key from the search endpoint.\n\nThis is an internal API and is subject to change without notice.\n","operationId":"getChangelog","parameters":[{"name":"key","in":"path","description":"The key of the (issue,release) pair.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/IssuesReleasesChangesRestResponse"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"}},"/sca/issues-releases/all-assignees":{"get":{"tags":["Issues-Releases"],"summary":"Get the list of users assigned to at least one issue in a given branch","description":"Get the list of users assigned to at least one issue in a given branch.\n","operationId":"getAllAssignees","parameters":[{"name":"projectKey","in":"query","description":"Key of the project to fetch all assignee users from.","required":true,"schema":{"type":"string","description":"Key of the project to fetch all assignee users from."}},{"name":"branchKey","in":"query","description":"Key of the branch to fetch all assignee users from. If not provided, the default branch will be used unless a pull request key is provided.","required":false,"schema":{"type":"string","description":"Key of the branch to fetch all assignee users from. If not provided, the default branch will be used unless a pull request key is provided."}},{"name":"pullRequestKey","in":"query","description":"Key of the pull request to fetch all assignee users from.","required":false,"schema":{"type":"string","description":"Key of the pull request to fetch all assignee users from."}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/UserResource"}}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"}},"/sca/enabled":{"get":{"tags":["SCA Enabled"],"summary":"Get whether SCA is licensed and set up for a resource's organization or enterprise, prefer the /feature-enabled path in new code","operationId":"getFeatureEnabled","parameters":[],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScaFeatureEnabledResource"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"}},"/sca/feature-enabled":{"get":{"tags":["SCA Enabled"],"summary":"Get whether SCA is licensed and set up for a resource's organization or enterprise, prefer the /feature-enabled path in new code","operationId":"getFeatureEnabled_1","parameters":[],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ScaFeatureEnabledResource"}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"}},"/sca/clis":{"get":{"tags":["SCA CLIs"],"summary":"Get available CLI downloads","description":"Gets the available SCA CLI downloads. The response includes metadata about each option\nsuch as the filename and operating system.\n\nThis is an internal API and is subject to change without notice.\n","operationId":"getScaClisMetadata","parameters":[{"name":"os","in":"query","description":"Filter by operating system","required":false,"schema":{"type":"string","description":"Filter by operating system","enum":["windows","linux","macos"],"example":"windows"},"example":"windows"},{"name":"arch","in":"query","description":"Filter by CPU architecture","required":false,"schema":{"type":"string","description":"Filter by CPU architecture","enum":["x64","aarch64"],"example":"x64"},"example":"x64"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/ScaCliInfoRestResponse"}}}}}},"security":[{"bearerAuth":[]}],"x-sonar-internal":"true"}},"/sca/clis/{id}":{"get":{"tags":["SCA CLIs"],"summary":"Get metadata for a specific CLI download","description":"Gets the metadata for a specific SCA CLI download. The response includes the\nfilename, SHA-256 checksum, operating system, and CPU architecture.\n\nThis is an internal API a
[...]
